
Foreman - Feature #17931

option to clone Operating Systems

01/05/2017 03:07 AM - Marek Hulán

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1268418 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1268418

What is the nature and description of the request?

Under Hosts -> Operating Systems  there is only the name and the number of hosts and delete.

It would be nice to have the Option to Clone and also add a description as to what it is being used for.

Why does the customer need this? (List the business requirements here)

The business requirement would be to be able to add description so that if a person is trying to decide which Operation System to

use they can read the description.  I don't know that we want to make the name of the OS to be wordy.  And I don't know that

everyone should be reading the kickstart file to figure out which OS they should be using.  Another feature that might be considered

is the ability to pick the template at the host level instead of at the OS level.  Kind of how you can pick the partition table today.  That

way you could have 1 OS and be able to say I want the template or VM template/ks at the host level and not need to have 4 versions

of RHEL 7.  And if you did that you might not need the Clone option.  I think it is nice to have the Clone option so that you don't have

to reselect everything, since the only change would probably be the template because you can't select that at a host level.

Additional comments

The title column displays OS description if it's present and it falls back to "$name $release" if it's not. I don't think it makes sense to

add description separately. Please note that the OS description is limited to 254 characters because it's used as the identifier in UI

(introduced by #14783)

The cloning of OS is a valid RFE.

History

#1 - 01/05/2017 03:08 AM - Marek Hulán

- Subject changed from option to clone Operating Systems

 to option to clone Operating Systems

- Description updated

#2 - 01/05/2017 03:09 AM - Marek Hulán

- Category set to Web Interface

- Assignee deleted (Ohad Levy)

#3 - 01/05/2017 03:10 AM - Marek Hulán

- Target version set to 115

#4 - 06/30/2021 11:27 AM - Marek Hulán

- Status changed from New to Resolved

- Triaged set to No
